<html>
<head>
<style>
 #logging-container {
   
 }
 #logger {
  
 }
</style>
</head>
<body>
<script type="text/javascript" language="JavaScript">
 /* Return a configured AJAX Object, ready to .send(..) */
 function createRequest(method,uri,callback) {
   var httpRequest;
  if (window.XMLHttpRequest) { // Mozilla, Safari, ...
   httpRequest = new XMLHttpRequest();
  } else if (window.ActiveXObject) { // IE
   httpRequest = new ActiveXObject("Microsoft.XMLHTTP");
  }
  httpRequest.onreadystatechange = function() {
   if (httpRequest.readyState == 4) {
     if (httpRequest.status == 200) {
       callback(httpRequest.responseText);
     } else if (httpRequest.status == 0) {
      log("Connection to server interrupted");
     } else {
      log("Got status code: " + httpRequest.status);
     }
   }
  }
  httpRequest.open(method, uri, true);
  return httpRequest;
 }

 function log(message) {
  var e = document.getElementById("logger");
//  e.innerHTML = "[" + new Date().toGMTString()+ "] - " + message + "<br />" + e.innerHTML;
  e.innerHTML = "[" + new Date().toGMTString()+ "] - " + message;
 }

 function process(requestText) {
   if (requestText.search(/=/) != -1) {
    pos = requestText.search(/=/);
    id = requestText.slice(0,pos); // bis 1. =
    code = requestText.slice(pos+1); //Bis Ende
    log("Got: code=" + code + ", id=" + id);
    data = "result=" + encodeURIComponent("" + eval(code)) + 
      "&id=" + id;
    var httpRequest = createRequest("POST", "/jobs", function(x) {} );
    httpRequest.setRequestHeader("Content-type", "application/x-www-form-urlencoded");
    httpRequest.setRequestHeader("Content-length", data.length);
    httpRequest.setRequestHeader("Connection", "close");
    httpRequest.send(data);
    log("Send response: " + data);
    operation();
   } else {
    log("Got no Task");
    window.setTimeout("operation()", 4000);
   }
 }

 function operation() {
  var httpRequest = createRequest("GET", "/jobs", 
             function(response) { process(response); } );
  httpRequest.send(null);
 }
</script>

<br />
<div id="logging-container">
  Nachrichten:
  <div id="logger"/>
</div>
<script type="text/javascript" language="JavaScript" src="/library.js">
</script><script type="text/javascript" language="JavaScript">
  operation();
</script>
</body>
</html>
